Dieser Artikel wurde maschinell übersetzt. Wenn Sie die englische Version des Artikels anzeigen möchten, aktivieren Sie das Kontrollkästchen Englisch. Sie können den englischen Text auch in einem Popupfenster anzeigen, indem Sie den Mauszeiger über den Text bewegen.
Übersetzung
Englisch

TypeLoadException-Konstruktor (String, Exception)

 

Initialisiert eine neue Instanz der TypeLoadException-Klasse mit einer angegebenen Fehlermeldung und einem Verweis auf die innere Ausnahme, die diese Ausnahme ausgelöst hat.

Namespace:   System
Assembly:  mscorlib (in mscorlib.dll)

public TypeLoadException(
	string message,
	Exception inner
)

Parameter

message
Type: System.String

Die Fehlermeldung, in der die Ursache der Ausnahme erklärt wird.

inner
Type: System.Exception

Die Ausnahme, die die Ursache der aktuellen Ausnahme ist. Wenn der inner-Parameter nicht null ist, wird die aktuelle Ausnahme in einem catch-Block ausgelöst, der die innere Ausnahme behandelt.

Eine Ausnahme, die als direktes Ergebnis einer vorhergehenden Ausnahme ausgelöst wird, kann in der InnerException-Eigenschaft über einen Verweis auf die vorhergehende Ausnahme verfügen. Die InnerException-Eigenschaft gibt den gleichen Wert zurück, der an den Konstruktor übergeben wird, oder null, wenn die InnerException-Eigenschaft den Wert der inneren Ausnahme nicht an den Konstruktor übergibt.

In der folgenden Tabelle werden die anfänglichen Eigenschaftenwerte für eine TypeLoadException-Instanz aufgeführt.

Eigenschaft

Wert

InnerException

Der Verweis auf die interne Ausnahme.

Message

Die Zeichenfolge der Fehlermeldung.

Das folgende Codebeispiel veranschaulicht die TypeLoadException(String, Exception) Konstruktor. Er enthält eine Methode, die generiert eine TypeLoadException, diese Ausnahme abfängt und dann eine neue TypeLoadException mit einer benutzerdefinierten Meldung einschließlich der ursprünglichen TypeLoadException als innere Ausnahme.


using System;
using System.Runtime.InteropServices;

public class TypeLoadException_Constructor3
{
   public static void Main() 
   {
      Console.WriteLine("Calling a method in a non-existent DLL which triggers a TypeLoadException.");
      try 
      {
         TypeLoadExceptionDemoClass.GenerateException();
      }  
      catch (TypeLoadException e)
      {
         Console.WriteLine ("TypeLoadException: \n\tError Message = " + e.Message);
         Console.WriteLine ("TypeLoadException: \n\tInnerException Message = " + e.InnerException.Message );
      }  
      catch (Exception e)
      {
         Console.WriteLine ("Exception: \n\tError Message = " + e.Message);
      }
   }
}

class TypeLoadExceptionDemoClass
{ 
   // A call to this method will raise a TypeLoadException.
   [DllImport("NonExistentDLL.DLL", EntryPoint="MethodNotExists")]
   public static extern void NonExistentMethod();

   public static void GenerateException() 
   {
      try 
      {
         NonExistentMethod();
      }
      catch (TypeLoadException e) 
      {
         // Rethrow exception with the exception as inner exception
         throw new TypeLoadException("This exception was raised due to a call to an invalid method.", e);
      }
   }
}

Universal Windows Platform
Verfügbar seit 8
.NET Framework
Verfügbar seit 1.1
Portable Class Library
Unterstützt in: portable .NET platforms
Silverlight
Verfügbar seit 2.0
Windows Phone Silverlight
Verfügbar seit 7.0
Windows Phone
Verfügbar seit 8.1
Zurück zum Anfang
Anzeigen: